%global momorel 15

Summary: This is a repository of GIR interface description files.
Name: gir-repository
Version: 0.6.5
Release: %{momorel}m%{?dist}
License: LGPL
Group: Development/Libraries
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
NoSource: 0

# cannot extern function gstvideo in defined header macro
Patch0: gir-repository-0.6.4-gstreamer-video.patch
# support babl-0.1.2
Patch1: gir-fixbabl.patch
# good-bye gstreamer
Patch2: gir-repository-0.6.5-no-gst.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: gobject-introspection

BuildRequires: dbus-glib-devel
BuildRequires: atk-devel
BuildRequires: poppler-devel
BuildRequires: gtk2-devel
BuildRequires: GConf2-devel
BuildRequires: libsoup-devel
BuildRequires: babl-devel >= 0.1.2
BuildRequires: pango-devel
BuildRequires: nautilus-devel
BuildRequires: webkitgtk-devel
BuildRequires: libnotify-devel
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: gtksourceview2-devel
BuildRequires: vte-devel
BuildRequires: goocanvas-devel
BuildRequires: avahi-devel
BuildRequires: gnome-menus-devel
BuildRequires: libwnck-devel
BuildRequires: gssdp-devel
BuildRequires: gupnp-devel
BuildRequires: gnome-keyring-devel >= 2.29.5-2m
BuildRequires: poppler-glib-devel

%description
This is a repository of GIR interface description files.

The idea is that these files should eventually migrate upstreams, but
meanwhile as they and gobject-introspection matures they will be kept
here.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q
%patch0 -p1 -b .gstvideo
%patch1 -p1 -b .fixbabl
%patch2 -p1 -b .gst

%build
autoreconf -vfi
%configure --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/girepository-1.0/Avahi-0.6.typelib
%{_libdir}/girepository-1.0/AvahiCore-0.6.typelib
%{_libdir}/girepository-1.0/Babl-0.1.typelib
%{_libdir}/girepository-1.0/DBus-1.0.typelib
%{_libdir}/girepository-1.0/GConf-2.0.typelib
%{_libdir}/girepository-1.0/GMenu-2.0.typelib
%{_libdir}/girepository-1.0/GnomeKeyring-2.0.typelib
%{_libdir}/girepository-1.0/GooCanvas-0.10.typelib
%{_libdir}/girepository-1.0/GtkSource-2.2.typelib
%{_libdir}/girepository-1.0/JSCore-1.0.typelib
%{_libdir}/girepository-1.0/Nautilus-1.0.typelib
%{_libdir}/girepository-1.0/Notify-0.4.typelib
%{_libdir}/girepository-1.0/Poppler-0.8.typelib
%{_libdir}/girepository-1.0/Soup-2.4.typelib
%{_libdir}/girepository-1.0/Vte-1.0.typelib
%{_libdir}/girepository-1.0/WebKit-1.0.typelib

%{_libdir}/libgirepo-DBus-custom.*
%{_libdir}/libgirepo-Gdk-custom.*
%{_libdir}/libgirepo-Gtk-custom.*

%{_datadir}/gir-1.0/Avahi-0.6.gir
%{_datadir}/gir-1.0/AvahiCore-0.6.gir
%{_datadir}/gir-1.0/Babl-0.1.gir
%{_datadir}/gir-1.0/DBus-1.0.gir
%{_datadir}/gir-1.0/GConf-2.0.gir
%{_datadir}/gir-1.0/GMenu-2.0.gir
%{_datadir}/gir-1.0/GnomeKeyring-2.0.gir
%{_datadir}/gir-1.0/GooCanvas-0.10.gir
%{_datadir}/gir-1.0/GtkSource-2.2.gir
%{_datadir}/gir-1.0/JSCore-1.0.gir
%{_datadir}/gir-1.0/Nautilus-1.0.gir
%{_datadir}/gir-1.0/Notify-0.4.gir
%{_datadir}/gir-1.0/Poppler-0.8.gir
%{_datadir}/gir-1.0/Soup-2.4.gir
%{_datadir}/gir-1.0/Vte-1.0.gir
%{_datadir}/gir-1.0/WebKit-1.0.gir

%exclude %{_libdir}/girepository-1.0/Unique-1.0.typelib
%exclude %{_datadir}/gir-1.0/Unique-1.0.gir

%exclude %{_libdir}/girepository-1.0/Pango-1.0.typelib
%exclude %{_libdir}/girepository-1.0/PangoCairo-1.0.typelib
%exclude %{_libdir}/girepository-1.0/PangoFT2-1.0.typelib
%exclude %{_libdir}/girepository-1.0/PangoX-1.0.typelib
%exclude %{_libdir}/girepository-1.0/PangoXft-1.0.typelib
%exclude %{_datadir}/gir-1.0/Pango-1.0.gir
%exclude %{_datadir}/gir-1.0/PangoCairo-1.0.gir
%exclude %{_datadir}/gir-1.0/PangoFT2-1.0.gir
%exclude %{_datadir}/gir-1.0/PangoX-1.0.gir
%exclude %{_datadir}/gir-1.0/PangoXft-1.0.gir

%exclude %{_libdir}/girepository-1.0/Atk-1.0.typelib
%exclude %{_datadir}/gir-1.0/Atk-1.0.gir

%exclude %{_libdir}/girepository-1.0/Gdk-2.0.typelib
%exclude %{_libdir}/girepository-1.0/GdkPixbuf-2.0.typelib
%exclude %{_libdir}/girepository-1.0/Gtk-2.0.typelib
%exclude %{_datadir}/gir-1.0/Gdk-2.0.gir
%exclude %{_datadir}/gir-1.0/GdkPixbuf-2.0.gir
%exclude %{_datadir}/gir-1.0/Gtk-2.0.gir


%exclude %{_libdir}/girepository-1.0/GMenu-2.0.typelib
%exclude %{_datadir}/gir-1.0/GMenu-2.0.gir

%exclude %{_libdir}/girepository-1.0/Wnck-1.0.typelib
%exclude %{_datadir}/gir-1.0/Wnck-1.0.gir

%exclude %{_libdir}/girepository-1.0/GSSDP-1.0.typelib
%exclude %{_libdir}/girepository-1.0/GUPnP-1.0.typelib
%exclude %{_datadir}/gir-1.0/GSSDP-1.0.gir
%exclude %{_datadir}/gir-1.0/GUPnP-1.0.gir

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.5-15m)
- full rebuild for mo7 release

* Mon May 31 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-13m)
- add BuildRequires: poppler-glib-devel

* Sun May  2 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-12m)
- build fix gcc-4.4.4

* Wed Apr 28 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-12m)
- delete conflict files

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-11m)
- delete conflict files

* Mon Apr 12 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.5-10m)
- support babl-0.1.2
- change BuildPrereq to BuildRequires

* Sat Jan 16 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.5-9m)
- hello gnome-keyring again, fix %%files and add BPR: gnome-keyring-devel

* Sat Jan 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-8m)
- good-bye atk gtk+ and gnome-keyring

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.5-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-6m)
- good-bye gstreamer

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-5m)
- delete patch0

* Wed Sep 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-4m)
- good-bye pango

* Sat Sep 19 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.5-3m)
- add require gssdp, gupnp

* Tue Sep 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-2m)
- good-bye unique

* Thu Sep 10 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-1m)
- update to 0.6.5

* Wed Sep  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-5m)
- good-bye clutter
- to main

* Wed Sep  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-4m)
- build with clutter-1.0 again

* Wed Sep  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-3m)
- build with clutter-0.8
-- comment out patch1

* Sun Aug 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-2m)
- build with clutter-1.0
-- add patch1

* Sun Aug 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- initial build
-- does not build GstVideo-1.0.gir (patch0)
-- does not build gnio
-- does not build clutter (need version 0.8)
-- does not build gssdp
